# Retrieve a rate plan Retrieves the detailed information about a specific subscription rate plan. - If you have the Orders feature enabled, this operation retrieves information about a subscription rate plan and the related order that has amended the rate plan. - If you have the Orders Harmonization feature enabled, this operation retrieves information about a subscription rate plan and the related order and amendment that have amended the rate plan. The returned objects may be different since amendment, order, and order action are generated asynchronously. - If all are generated, the related amendment and order, including the order action, are returned. - If not, only the related amendment may be returned before generating the order and order action. - If you are an existing Zuora Subscribe and Amend customer, this operation retrieves information about a subscription rate plan and the related amendment that has amended the rate plan. Note: Orders is now generally available as of Zuora Billing Release 284 (August 2020). If you are an existing Zuora Subscribe and Amend customer and want to adopt Orders, see What is Orders Harmonization and join the Orders Harmonization community group for more information. If you want to enable Orders, submit a request at Zuora Global Support. Note: You can only retrieve information about the following order actions: - addProduct - updateProduct - removeProduct - changePlan Endpoint: GET /v1/rateplans/{ratePlanId} Version: 2026-02-20 Security: bearerAuth ## Header parameters: - `Accept-Encoding` (string) Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it. - `Content-Encoding` (string) Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload. - `Zuora-Track-Id` (string) A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote ('). - `Zuora-Entity-Ids` (string) An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header. - `Zuora-Org-Ids` (string) Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header. The IDs must be a sub-set of the user's accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user's accessible orgs. - `Zuora-Version` (string) The minor API version. For a list of available minor versions, see API upgrades. ## Path parameters: - `ratePlanId` (string, required) The ID of the subscription rate plan to be retrieved. ## Response 200 fields (application/json): - `processId` (string) The ID of the process that handles the operation. - `reasons` (array) The container of the error code and message. This field is available only if the success field is false. - `reasons.code` (string) The error code of response. - `reasons.message` (string) The detail information of the error response - `requestId` (string) Unique identifier of the request. - `success` (boolean) Indicates whether the call succeeded. - `amendment` (object) The amendment that is related to the subscription rate plan. - `amendment.code` (string) The amendment code. - `amendment.contractEffectiveDate` (string) The date when the amendment becomes effective for billing purposes, as yyyy-mm-dd. - `amendment.createdBy` (string) The ID of the user who created this amendment. - `amendment.createdDate` (string) The time that the amendment gets created in the system, in the YYYY-MM-DD HH:MM:SS format. - `amendment.customerAcceptanceDate` (string) The date when the customer accepts the amendment changes to the subscription, as yyyy-mm-dd. - `amendment.description` (string) Description of the amendment. - `amendment.effectiveDate` (string) The date when the amendment changes take effective. - `amendment.id` (string) The amendment ID. - `amendment.name` (string) The name of the amendment. - `amendment.serviceActivationDate` (string) The date when service is activated, as yyyy-mm-dd. - `amendment.type` (string) Type of the amendment. Possible values are: - NewProduct - RemoveProduct - UpdateProduct - `amendment.updatedBy` (string) The ID of the user who updated this amendment. - `amendment.updatedDate` (string) The time that the amendment gets updated in the system, in the YYYY-MM-DD HH:MM:SS format. - `amendment.customFields` (object) Container for custom fields of an Amendment object. - `externallyManagedPlanId` (string) The unique identifier for the rate plan purchased on a third-party store. This field is used to represent a subscription rate plan created through third-party stores. - `id` (string) Unique subscription rate-plan ID. - `lastChangeType` (string) Latest change type. Possible values are: - New - Update - Remove - `order` (object) The order that is related to the subscription rate plan. - `order.id` (string) The order ID. - `order.orderActions` (array) - `order.orderActions.addProduct` (object) Rate plan associated with a subscription. - `order.orderActions.addProduct.chargeOverrides` (array) List of charges associated with the rate plan. - `order.orderActions.addProduct.chargeOverrides.billing` (object) Billing information about the charge. - `order.orderActions.addProduct.chargeOverrides.billing.billCycleDay` (integer) Day of the month that each billing period begins on. Only applicable if the value of the billCycleType field is SpecificDayofMonth. - `order.orderActions.addProduct.chargeOverrides.billing.billCycleType` (string) Specifies how Zuora determines the day that each billing period begins on. * DefaultFromCustomer - Each billing period begins on the bill cycle day of the account that owns the subscription. * SpecificDayofMonth - Use the billCycleDay field to specify the day of the month that each billing period begins on. * SubscriptionStartDay - Each billing period begins on the same day of the month as the start date of the subscription. * ChargeTriggerDay - Each billing period begins on the same day of the month as the date when the charge becomes active. * SpecificDayofWeek - Use the weeklyBillCycleDay field to specify the day of the week that each billing period begins on. Enum: "DefaultFromCustomer", "SpecificDayofMonth", "SubscriptionStartDay", "ChargeTriggerDay", "SpecificDayofWeek" - `order.orderActions.addProduct.chargeOverrides.billing.billingPeriod` (string) Billing frequency of the charge. The value of this field controls the duration of each billing period. If the value of this field is Specific_Months or Specific_Weeks, use the specificBillingPeriod field to specify the duration of each billing period. Enum: "Month", "Quarter", "Semi_Annual", "Annual", "Eighteen_Months", "Two_Years", "Three_Years", "Five_Years", "Specific_Months", "Subscription_Term", "Week", "Specific_Weeks" - `order.orderActions.addProduct.chargeOverrides.billing.billingPeriodAlignment` (string) Specifies how Zuora determines when to start new billing periods. You can use this field to align the billing periods of different charges. * AlignToCharge - Zuora starts a new billing period on the first billing day that falls on or after the date when the charge becomes active. * AlignToSubscriptionStart - Zuora starts a new billing period on the first billing day that falls on or after the start date of the subscription. * AlignToTermStart - For each term of the subscription, Zuora starts a new billing period on the first billing day that falls on or after the start date of the term. See the billCycleType field for information about how Zuora determines the billing day. Note: This field is not supported in one time charges. Enum: "AlignToCharge", "AlignToSubscriptionStart", "AlignToTermStart" - `order.orderActions.addProduct.chargeOverrides.billing.billingTiming` (string) Specifies whether to invoice for a billing period on the first day of the billing period (billing in advance) or the first day of the next billing period (billing in arrears). Enum: "IN_ADVANCE", "IN_ARREARS" - `order.orderActions.addProduct.chargeOverrides.billing.specificBillingPeriod` (integer) Duration of each billing period in months or weeks, depending on the value of the billingPeriod field. Only applicable if the value of the billingPeriod field is Specific_Months or Specific_Weeks. - `order.orderActions.addProduct.chargeOverrides.billing.weeklyBillCycleDay` (string) Day of the week that each billing period begins on. Only applicable if the value of the billCycleType field is SpecificDayofWeek. Enum: "Sunday", "Monday", "Tuesday", "Wednesday", "Thursday", "Friday", "Saturday" - `order.orderActions.addProduct.chargeOverrides.chargeNumber` (string) Charge number of the charge. For example, C-00000307. If you do not set this field, Zuora will generate the charge number. - `order.orderActions.addProduct.chargeOverrides.customFields` (object) Container for custom fields of a Rate Plan Charge object. - `order.orderActions.addProduct.chargeOverrides.description` (string) Description of the charge. - `order.orderActions.addProduct.chargeOverrides.endDate` (object) Specifies when a charge becomes inactive. - `order.orderActions.addProduct.chargeOverrides.endDate.endDateCondition` (string) Condition for the charge to become inactive. If the value of this field is Fixed_Period, the charge is active for a predefined duration based on the value of the upToPeriodsType and upToPeriods fields. If the value of this field is Specific_End_Date, use the specificEndDate field to specify the date when then charge becomes inactive. Enum: "Subscription_End", "Fixed_Period", "Specific_End_Date" - `order.orderActions.addProduct.chargeOverrides.endDate.specificEndDate` (string) Date in YYYY-MM-DD format. Only applicable if the value of the endDateCondition field is Specific_End_Date. - `order.orderActions.addProduct.chargeOverrides.endDate.upToPeriods` (integer) Duration of the charge in billing periods, days, weeks, months, or years, depending on the value of the upToPeriodsType field. Only applicable if the value of the endDateCondition field is Fixed_Period. - `order.orderActions.addProduct.chargeOverrides.endDate.upToPeriodsType` (string) Unit of time that the charge duration is measured in. Only applicable if the value of the endDateCondition field is Fixed_Period. Enum: "Billing_Periods", "Days", "Weeks", "Months", "Years" - `order.orderActions.addProduct.chargeOverrides.pricing` (object) Pricing information about the charge. - `order.orderActions.addProduct.chargeOverrides.pricing.chargeModelData` (object) Container for charge model configuration data. Note: This field is only available if you have the High Water Mark, Pre-Rated Pricing, or Multi-Attribute Pricing charge models enabled. The charge models are available for customers with Enterprise and Nine editions by default. If you are a Growth customer, see [Zuora Editions](https://docs.zuora.com/en/entitlements/current-entitlements/zuora-editions) for pricing information. - `order.orderActions.addProduct.chargeOverrides.pricing.chargeModelData.chargeModelConfiguration` (object) - `order.orderActions.addProduct.chargeOverrides.pricing.chargeModelData.chargeModelConfiguration.customFieldPerUnitRate` (string) The custom field that carries the per-unit rate for each usage record. For example, perUnitAmount__c. This field is only available for the usage-based charges that use the Pre-Rated Per Unit Pricing charge model. The charge model is available for customers with Enterprise and Nine editions by default. If you are a Growth customer, see [Zuora Editions](https://docs.zuora.com/en/entitlements/current-entitlements/zuora-editions) for pricing information. - `order.orderActions.addProduct.chargeOverrides.pricing.chargeModelData.chargeModelConfiguration.customFieldTotalAmount` (string) The custom field that carries the total amount to charge for a usage record. For example, totalAmount__c. This field is only available for the usage-based charges that use the Pre-Rated Pricing charge model. The charge model is available for customers with Enterprise and Nine editions by default. If you are a Growth customer, see [Zuora Editions](https://docs.zuora.com/en/entitlements/current-entitlements/zuora-editions) for pricing information. - `order.orderActions.addProduct.chargeOverrides.pricing.chargeModelData.chargeModelConfiguration.formula` (string) The pricing formula to calculate actual rating amount for each usage record. This field is only available for the usage-based charges that use the Multi-Attribute Pricing charge model. The charge model is available for customers with Enterprise and Nine editions by default. If you are a Growth customer, see [Zuora Editions](https://docs.zuora.com/en/entitlements/current-entitlements/zuora-editions) for pricing information. - `order.orderActions.addProduct.chargeOverrides.pricing.chargeModelData.tiers` (array) List of cumulative pricing tiers in the charge. Note: When you override tiers of the charge with a High Water Mark Pricing charge model, you have to provide all of the tiers, including the ones you do not want to change. The new tiers will completely override the previous ones. The High Water Mark Pricing charge models are available for customers with Enterprise and Nine editions by default. If you are a Growth customer, see [Zuora Editions](https://docs.zuora.com/en/entitlements/current-entitlements/zuora-editions) for pricing information. - `order.orderActions.addProduct.chargeOverrides.pricing.chargeModelData.tiers.endingUnit` (number) Limit on the number of units for which the tier is effective. - `order.orderActions.addProduct.chargeOverrides.pricing.chargeModelData.tiers.price` (number, required) Price or per-unit price of the tier, depending on the value of the priceFormat field. - `order.orderActions.addProduct.chargeOverrides.pricing.chargeModelData.tiers.priceFormat` (string, required) Specifies whether the tier has a fixed price or a per-unit price. Enum: "FlatFee", "PerUnit" - `order.orderActions.addProduct.chargeOverrides.pricing.chargeModelData.tiers.startingUnit` (number, required) Number of units at which the tier becomes effective. - `order.orderActions.addProduct.chargeOverrides.pricing.chargeModelData.tiers.tier` (integer, required) Index of the tier in the charge. - `order.orderActions.addProduct.chargeOverrides.pricing.discount` (object) Pricing information about a discount charge. - `order.orderActions.addProduct.chargeOverrides.pricing.discount.applyDiscountTo` (string) Specifies which type of charge the discount charge applies to. Enum: "ONETIME", "RECURRING", "USAGE", "ONETIMERECURRING", "ONETIMEUSAGE", "RECURRINGUSAGE", "ONETIMERECURRINGUSAGE" - `order.orderActions.addProduct.chargeOverrides.pricing.discount.discountAmount` (number) Only applicable if the discount charge is a fixed-amount discount. - `order.orderActions.addProduct.chargeOverrides.pricing.discount.discountLevel` (string) Application scope of the discount charge. For example, if the value of this field is subscription and the value of the applyDiscountTo field is RECURRING, the discount charge applies to all recurring charges in the same subscription as the discount charge. Enum: "rateplan", "subscription", "account" - `order.orderActions.addProduct.chargeOverrides.pricing.discount.discountPercentage` (number) Only applicable if the discount charge is a percentage discount. - `order.orderActions.addProduct.chargeOverrides.pricing.discount.priceChangeOption` (string) Specifies how Zuora changes the price of the charge each time the subscription renews. Enum: "NoChange", "UseLatestProductCatalogPricing" - `order.orderActions.addProduct.chargeOverrides.pricing.oneTimeFlatFee` (object) Pricing information about a one-time charge that uses the "flat fee" charge model. In this charge model, the charge has a fixed price. - `order.orderActions.addProduct.chargeOverrides.pricing.oneTimeFlatFee.listPrice` (number, required) Price of the charge. - `order.orderActions.addProduct.chargeOverrides.pricing.oneTimePerUnit` (object) Pricing information about a one-time charge that uses the "per unit" charge model. In this charge model, the charge has a fixed price per unit purchased. - `order.orderActions.addProduct.chargeOverrides.pricing.oneTimePerUnit.listPrice` (number) Per-unit price of the charge. - `order.orderActions.addProduct.chargeOverrides.pricing.oneTimePerUnit.quantity` (number) Number of units purchased. - `order.orderActions.addProduct.chargeOverrides.pricing.oneTimeTiered` (object) Pricing information about a one-time charge that uses the "tiered pricing" charge model. In this charge model, the charge has cumulative pricing tiers that become effective as units are purchased. - `order.orderActions.addProduct.chargeOverrides.pricing.oneTimeTiered.tiers` (array) List of cumulative pricing tiers in the charge. - `order.orderActions.addProduct.chargeOverrides.pricing.oneTimeVolume` (object) Pricing information about a one-time charge that uses the "volume pricing" charge model. In this charge model, the charge has a variable price per unit, depending on how many units are purchased. - `order.orderActions.addProduct.chargeOverrides.pricing.oneTimeVolume.tiers` (array) List of variable pricing tiers in the charge. - `order.orderActions.addProduct.chargeOverrides.pricing.recurringDelivery` (object) Pricing information about a recurring charge that uses the Delivery Pricing charge model. In this charge model, the charge has a fixed price. This field is only available if you have the Delivery Pricing charge model enabled. - `order.orderActions.addProduct.chargeOverrides.pricing.recurringDelivery.priceChangeOption` (string) Specifies how Zuora changes the price of the charge each time the subscription renews. If the value of this field is SpecificPercentageValue, use the priceIncreasePercentage field to specify how much the price of the charge should change. Enum: "NoChange", "SpecificPercentageValue", "UseLatestProductCatalogPricing" - `order.orderActions.addProduct.chargeOverrides.pricing.recurringDelivery.priceIncreasePercentage` (number) Specifies the percentage by which the price of the charge should change each time the subscription renews. Only applicable if the value of the priceChangeOption field is SpecificPercentageValue. - `order.orderActions.addProduct.chargeOverrides.pricing.recurringDelivery.deliverySchedule` (object) - `order.orderActions.addProduct.chargeOverrides.pricing.recurringDelivery.deliverySchedule.frequency` (string) Specifies the frequency for delivery schedule Enum: "Weekly" - `order.orderActions.addProduct.chargeOverrides.pricing.recurringDelivery.deliverySchedule.friday` (boolean) Indicates whether delivery on friday. - `order.orderActions.addProduct.chargeOverrides.pricing.recurringDelivery.deliverySchedule.monday` (boolean) Indicates whether delivery on monday. - `order.orderActions.addProduct.chargeOverrides.pricing.recurringDelivery.deliverySchedule.saturday` (boolean) Indicates whether delivery on saturday. - `order.orderActions.addProduct.chargeOverrides.pricing.recurringDelivery.deliverySchedule.sunday` (boolean) Indicates whether delivery on sunday. - `order.orderActions.addProduct.chargeOverrides.pricing.recurringDelivery.deliverySchedule.thursday` (boolean) Indicates whether delivery on thursday. - `order.orderActions.addProduct.chargeOverrides.pricing.recurringDelivery.deliverySchedule.tuesday` (boolean) Indicates whether delivery on tuesday. - `order.orderActions.addProduct.chargeOverrides.pricing.recurringDelivery.deliverySchedule.wednesday` (boolean) Indicates whether delivery on wednesday. - `order.orderActions.addProduct.chargeOverrides.pricing.recurringDelivery.listPrice` (number) Price of the charge in each recurring period. - `order.orderActions.addProduct.chargeOverrides.pricing.recurringFlatFee` (object) Pricing information about a recurring charge that uses the "flat fee" charge model. In this charge model, the charge has a fixed price. - `order.orderActions.addProduct.chargeOverrides.pricing.recurringFlatFee.listPriceBase` (string) Specifies the duration of each recurring period. Enum: "Per_Billing_Period", "Per_Month", "Per_Week", "Per_Year", "Per_Specific_Months" - `order.orderActions.addProduct.chargeOverrides.pricing.recurringFlatFee.specificListPriceBase` (integer) The number of months for the list price base of the charge. The value of this field is null if you do not set the value of the listPriceBase field to Per_Specific_Months. - `order.orderActions.addProduct.chargeOverrides.pricing.recurringPerUnit` (object) Pricing information about a recurring charge that uses the "per unit" charge model. In this charge model, the charge has a fixed price per unit purchased. - `order.orderActions.addProduct.chargeOverrides.pricing.recurringPerUnit.listPrice` (number) Per-unit price of the charge in each recurring period. - `order.orderActions.addProduct.chargeOverrides.pricing.recurringPerUnit.listPriceBase` (string) Specifies the duration of each recurring period. Note: The Per_Year and Per_Specific_Months enum values are available only if you have the Annual List Price feature enabled. Enum: "Per_Billing_Period", "Per_Month", "Per_Week", "Per_Year", "Per_Specific_Months" - `order.orderActions.addProduct.chargeOverrides.pricing.recurringPerUnit.specificListPriceBase` (integer) The number of months for the list price base of the charge. This field is required if you set the value of the listPriceBase field to Per_Specific_Months. - `order.orderActions.addProduct.chargeOverrides.pricing.recurringTiered` (object) Pricing information about a recurring charge that uses the "tiered pricing" charge model. In this charge model, the charge has cumulative pricing tiers that become effective as units are purchased. - `order.orderActions.addProduct.chargeOverrides.pricing.recurringVolume` (object) Pricing information about a recurring charge that uses the "volume pricing" charge model. In this charge model, the charge has a variable price per unit, depending on how many units are purchased. - `order.orderActions.addProduct.chargeOverrides.pricing.usageFlatFee` (object) Pricing information about a usage charge that uses the "flat fee" charge model. In this charge model, the charge has a fixed price. - `order.orderActions.addProduct.chargeOverrides.pricing.usageOverage` (object) Pricing information about a usage charge that uses the "overage" charge model. In this charge model, the charge has an allowance of free units and a fixed price per additional unit consumed. - `order.orderActions.addProduct.chargeOverrides.pricing.usageOverage.includedUnits` (number) Number of free units that may be consumed. - `order.orderActions.addProduct.chargeOverrides.pricing.usageOverage.numberOfPeriods` (integer) Number of periods that Zuora considers when calculating overage charges with overage smoothing. - `order.orderActions.addProduct.chargeOverrides.pricing.usageOverage.overagePrice` (number) Price per overage unit consumed. - `order.orderActions.addProduct.chargeOverrides.pricing.usageOverage.overageUnusedUnitsCreditOption` (string) Specifies whether to credit the customer for unused units. If the value of this field is CreditBySpecificRate, use the unusedUnitsCreditRates field to specify the rate at which to credit the customer for unused units. Enum: "NoCredit", "CreditBySpecificRate" - `order.orderActions.addProduct.chargeOverrides.pricing.usageOverage.unusedUnitsCreditRates` (number) Per-unit rate at which to credit the customer for unused units. Only applicable if the value of the overageUnusedUnitsCreditOption field is CreditBySpecificRate. - `order.orderActions.addProduct.chargeOverrides.pricing.usagePerUnit` (object) Pricing information about a usage charge that uses the "per unit" charge model. In this charge model, the charge has a fixed price per unit consumed. - `order.orderActions.addProduct.chargeOverrides.pricing.usagePerUnit.ratingGroup` (string) Specifies how Zuora groups usage records when rating usage. See [Usage Rating by Group](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/J_Billing_Operations/Usage/Usage_Rating_by_Group) for more information. * ByBillingPeriod (default): The rating is based on all the usages in a billing period. * ByUsageStartDate: The rating is based on all the usages on the same usage start date. * ByUsageRecord: The rating is based on each usage record. * ByUsageUpload: The rating is based on all the usages in a uploaded usage file (.xls or .csv). If you import a mass usage in a single upload, which contains multiple usage files in .xls or .csv format, usage records are grouped for each usage file. Enum: "ByBillingPeriod", "ByUsageStartDate", "ByUsageRecord", "ByUsageUpload" - `order.orderActions.addProduct.chargeOverrides.pricing.usageTiered` (object) Pricing information about a usage charge that uses the "tiered pricing" charge model. In this charge model, the charge has cumulative pricing tiers that become effective as units are consumed. - `order.orderActions.addProduct.chargeOverrides.pricing.usageTieredWithOverage` (object) Pricing information about a usage charge that uses the "tiered with overage" charge model. In this charge model, the charge has cumulative pricing tiers that become effective as units are consumed. The charge also has a fixed price per unit consumed beyond the limit of the final tier. - `order.orderActions.addProduct.chargeOverrides.pricing.usageVolume` (object) Pricing information about a usage charge that uses the "volume pricing" charge model. In this charge model, the charge has a variable price per unit, depending on how many units are consumed. - `order.orderActions.addProduct.chargeOverrides.productRatePlanChargeId` (string, required) Internal identifier of the product rate plan charge that the charge is based on. - `order.orderActions.addProduct.chargeOverrides.revRecCode` (string) Revenue Recognition Code - `order.orderActions.addProduct.chargeOverrides.revRecTriggerCondition` (string) Specifies the revenue recognition trigger condition. * Contract Effective Date * Service Activation Date * Customer Acceptance Date Enum: "Contract Effective Date", "Service Activation Date", "Customer Acceptance Date" - `order.orderActions.addProduct.chargeOverrides.revenueRecognitionRuleName` (string) Specifies the revenue recognition rule. * Recognize upon invoicing * Recognize daily over time Enum: "Recognize upon invoicing", "Recognize daily over time" - `order.orderActions.addProduct.chargeOverrides.startDate` (object) Specifies when a charge becomes active. - `order.orderActions.addProduct.chargeOverrides.startDate.specificTriggerDate` (string) Date in YYYY-MM-DD format. Only applicable if the value of the triggerEvent field is SpecificDate. While this field is applicable, if this field is not set, your CreateSubscription order action creates a Pending order and a Pending Acceptance subscription. If at the same time the service activation date is required and not set, a Pending Activation subscription is created. While this field is applicable, if this field is not set, the following order actions create a Pending order but do not impact the subscription status. Note: This feature is in Limited Availability. If you want to have access to the feature, submit a request at [Zuora Global Support](http://support.zuora.com/). * AddProduct * UpdateProduct * RemoveProduct * RenewSubscription * TermsAndConditions - `order.orderActions.addProduct.chargeOverrides.startDate.triggerEvent` (string) Condition for the charge to become active. If the value of this field is SpecificDate, use the specificTriggerDate field to specify the date when the charge becomes active. Enum: "ContractEffective", "ServiceActivation", "CustomerAcceptance" - `order.orderActions.addProduct.chargeOverrides.uniqueToken` (string) Unique identifier for the charge. This identifier enables you to refer to the charge before the charge has an internal identifier in Zuora. For instance, suppose that you want to use a single order to add a product to a subscription and later update the same product. When you add the product, you can set a unique identifier for the charge. Then when you update the product, you can use the same unique identifier to specify which charge to modify. - `order.orderActions.addProduct.customFields` (object) Container for custom fields of a Rate Plan object. - `order.orderActions.addProduct.newRatePlanId` (string) Internal identifier of the rate plan. - `order.orderActions.addProduct.productRatePlanId` (string, required) Internal identifier of the product rate plan that the rate plan is based on. - `order.orderActions.addProduct.uniqueToken` (string) Unique identifier for the rate plan. This identifier enables you to refer to the rate plan before the rate plan has an internal identifier in Zuora. For instance, suppose that you want to use a single order to add a product to a subscription and later update the same product. When you add the product, you can set a unique identifier for the rate plan. Then when you update the product, you can use the same unique identifier to specify which rate plan to modify. - `order.orderActions.id` (string) The Id of the order action processed in the order. - `order.orderActions.removeProduct` (object) Information about an order action of type RemoveProduct. - `order.orderActions.removeProduct.ratePlanId` (string) Internal identifier of the rate plan to remove. - `order.orderActions.removeProduct.uniqueToken` (string) A unique string to represent the rate plan charge in the order. The unique token is used to perform multiple actions against a newly added rate plan. For example, if you want to add and update a product in the same order, you would assign a unique token to the product rate plan when added and use that token in future order actions.A unique string in the order to represent the rate plan. - `order.orderActions.type` (string) Type of the order action. Enum: "AddProduct", "UpdateProduct", "RemoveProduct" - `order.orderActions.updateProduct` (object) Information about an order action of type UpdateProduct. - `order.orderActions.updateProduct.chargeUpdates` (array) - `order.orderActions.updateProduct.chargeUpdates.chargeNumber` (string) Read only. Identifies the charge to be updated. - `order.orderActions.updateProduct.chargeUpdates.effectiveDate` (object) Specifies when a charge becomes active. - `order.orderActions.updateProduct.chargeUpdates.uniqueToken` (string) A unique string to represent the rate plan charge in the order. The unique token is used to perform multiple actions against a newly added rate plan. For example, if you want to add and update a product in the same order, you would assign a unique token to the product rate plan when added and use that token in future order actions. - `order.orderActions.updateProduct.newRatePlanId` (string) Internal identifier of the updated rate plan in the new subscription version. - `order.orderActions.updateProduct.ratePlanId` (string) Internal identifier of the rate plan that was updated. - `order.orderActions.updateProduct.specificUpdateDate` (string) The specific date when the Update Product order action takes effect. This field allows you to update a charge before a future-dated Update Product order action on the subscription. The format of the date is yyyy-mm-dd. Note: After you use this option, the charge's TriggerEvent field value will be changed to SpecificDate. See [Update a Product on Subscription with Future-dated Updates](https://knowledgecenter.zuora.com/BC_Subscription_Management/Orders/AC_Orders_Tutorials/C_Update_a_Product_in_a_Subscription/Update_a_Product_on_Subscription_with_Future-dated_Updates) for more information about this feature. - `order.orderActions.customFields` (object) Container for custom fields of an Order Action object. - `order.orderNumber` (string) The order number of the order. - `productId` (string) Product ID - `productName` (string) The name of the product. - `productRatePlanId` (string) Product rate plan ID - `productSku` (string) The unique SKU for the product. - `ratePlanName` (string) The name of the rate plan. - `subscriptionId` (string) Subscription ID. - `subscriptionVersion` (any) The version of the subscription. ## Response 500 fields (application/json): - `reasons` (array) Example: [{"code":"ObjectNotFound","message":"Notification definition with id 6e569e1e05f040eda51a927b140c0ac1 does not exist"}] - `reasons.code` (string) The error code of response. - `reasons.message` (string) The detail information of the error response ## Response 4XX fields (application/json): - `processId` (string) The ID of the process that handles the operation. - `reasons` (array) The container of the error code and message. This field is available only if the success field is false. - `reasons.code` (string) The error code of response. - `reasons.message` (string) The detail information of the error response - `requestId` (string) Unique identifier of the request. - `success` (boolean) Indicates whether the call succeeded.